{
  "name": "Fullstack DevContainer",
  "dockerComposeFile": ["../docker-compose.yml"],
  "service": "frontend",
  "workspaceFolder": "/app",
  "shutdownAction": "stopCompose",
  "forwardPorts": [80, 8080],
  "settings": {
    "terminal.integrated.defaultProfile.linux": "bash"
  },
"mounts": [
  "source=frontend_node_modules,target=/app/node_modules,type=volume",
  "source=backend_node_modules,target=/backend/node_modules,type=volume",
  "source=${localWorkspaceFolder}/backend,target=/backend,type=bind"
],
"postCreateCommand": "npm install && cd /backend && npm install",
  "customizations": {
    "vscode": {
      "extensions": [
        "dbaeumer.vscode-eslint",
        "esbenp.prettier-vscode"
      ]
    }
  }
}
